Ruby - Feature #14128

Introduce Hash#delete default value
11/23/2017 02:18 PM - gshutler (Garry Shutler)

Status: Assigned

Priority: Normal

Assignee: matz (Yukihiro Matsumoto)
Target version:

Description

Mirror Hash#fetch(key [, default]) — obj with Hash#delete(key [, default]) — obj.

Allows for more concise extraction of a value from a hash with a default.

ETS

Currently
a = hash.delete(:a) { 10 }

# Becomes
= hash.delete(:a, 10)

o))

History

#1 - 11/23/2017 08:58 PM - shevegen (Robert A. Heiler)

| think this should be filed under features rather than bugs.

Here is a link to the documentation if anyone else wants to have
a look:

https://ruby-doc.org/core/Hash.html#method-i-delete
| am neither pro or con on the suggestion so | will not
comment on it - | only wanted to provide a quick link to

the docu so that others can find the most recent docu +
examples more easily.

#2 - 11/24/2017 04:23 AM - nobu (Nobuyoshi Nakada)
- Tracker changed from Bug to Feature

- Backport deleted (2.3: UNKNOWN, 2.4: UNKNOWN)

#3 - 11/24/2017 01:20 PM - gshutler (Garry Shutler)

Sorry, | thought | was recording it as a feature request. Thanks for fixing nobu.

#4 - 11/25/2017 04:41 PM - marcandre (Marc-Andre Lafortune)

- Assignee set to matz (Yukihiro Matsumoto)

I am in favor of this.

#5 - 04/03/2024 03:50 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Assigned
